%define srcname pbr

Name:           python-%{srcname}
Version:        1.8.1
Release:        %mkrel 1
Summary:        Python Build Reasonableness

Group:          Development/Python
License:        MIT
URL:            http://pypi.python.org/pypi/pbr
Source0:        http://pypi.python.org/packages/source/p/pbr/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme 

%description
PBR is a library that injects some useful and sensible default 
behaviors into your setuptools run. It started off life as the 
chunks of code that were copied between all of the OpenStack 
projects. Around the time that OpenStack hit 18 different projects 
each with at least 3 active branches, it seems like a good time to 
make that code into a proper re-usable library.

%package -n python3-%{srcname}
Summary:        Python Build Reasonableness
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  python3-sphinx_rtd_theme

%description -n python3-%{srcname}
Manage dynamic plugins for Python applications.

%prep
%setup -q -n %{srcname}-%{version}
cp -a . %{py3dir}

%build
%py2_build

pushd %{py3dir}
%py3_build
popd

sphinx-build doc/source html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}%{_bindir}/pbr %{buildroot}%{_bindir}/python3-pbr
popd

%py2_install

%files
%doc html README.rst LICENSE
%{python2_sitelib}/pbr*
%{_bindir}/pbr

%files -n python3-%{srcname}
%doc html README.rst LICENSE
%{python3_sitelib}/pbr*
%{_bindir}/python3-pbr


%changelog
* Wed Dec 16 2015 daviddavid <daviddavid> 1.8.1-1.mga6
+ Revision: 911043
- new version: 1.8.1
- add python3-pbr binary

* Wed Oct 07 2015 philippem <philippem> 1.8.0-1.mga6
+ Revision: 887160
- add BR python-sphinx_rtd_theme
- update to 1.8.0

* Fri Aug 28 2015 philippem <philippem> 1.6.0-1.mga6
+ Revision: 870620
- update to 1.6.0

* Wed Dec 03 2014 joequant <joequant> 0.8.0-6.mga5
+ Revision: 800419
- add python sphinx
- build for python3

* Wed Oct 15 2014 umeabot <umeabot> 0.8.0-5.mga5
+ Revision: 747614
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.0-4.mga5
+ Revision: 726920
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.8.0-3.mga5
+ Revision: 688207
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Sun Mar 30 2014 kharec <kharec> 0.8.0-1.mga5
+ Revision: 610672
- update to 0.8.0 to fix keystone client installation

* Tue Oct 22 2013 umeabot <umeabot> 0.5.21-3.mga4
+ Revision: 543913
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.5.21-2.mga4
+ Revision: 499110
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 neoclust <neoclust> 0.5.21-1.mga4
+ Revision: 492560
- New version 0.5.21

* Tue Jul 30 2013 neoclust <neoclust> 0.5.19-3.mga4
+ Revision: 460731
- imported package python-pbr

